diff --git a/.github/CONTRIBUTING.md b/.github/CONTRIBUTING.md
index 5b6b4f5..ef54c61 100644
--- a/.github/CONTRIBUTING.md
+++ b/.github/CONTRIBUTING.md
@@ -30,6 +30,10 @@ You can read about SASS at http://sass-lang.com/documentation/. Once you make yo
_common.scss file, you can either run the ./parse-sass.sh script or keep SASS watching for changes as you
edit.
+## Known bugs
+
+### Theme glitches on NVIDIA driver
+See upstream [bug](https://web.archive.org/web/20210609140801/https://forums.developer.nvidia.com/t/issues-with-icons-gtk-theme-and-other-graphical-components-prior-to-installation-of-nvidia-drivers/38618).
# WhiteSur Firefox theme
A MacOS Big Sur theme for Firefox 70+
@@ -40,7 +44,10 @@ A MacOS Big Sur theme for Firefox 70+
See upstream [bug](https://bugzilla.mozilla.org/show_bug.cgi?id=1408360).
### Icons color broken
-Icons might appear black where they should be white on some systems. I have no idea why, but you can adjust them in the `theme/colors/light.css` or `theme/colors/dark.css` files, look for `--gnome-icons-hack-filter` var and play with css filters.
+Icons might appear black where they should be white on some systems. I have no
+idea why, but you can adjust them in the `theme/colors/light.css` or
+`theme/colors/dark.css` files, look for `--gnome-icons-hack-filter` var and
+play with css filters.
## Development
@@ -71,6 +78,8 @@ any specific license on your code.
Developed by **Rafael Mardojai** and [contributors](https://github.com/rafaelmardojai/firefox-gnome-theme/graphs/contributors). Based on **[Sai Kurogetsu](https://github.com/kurogetsusai/firefox-gnome-theme)** original work.
# WhiteSur GDM and GNOME Shell theme
+
## Known bugs
+
### Can't change GDM background on OpenSUSE Tumbleweed
See upstream [bug](https://github.com/juhaku/loginized#known-limitations-and-issues).
diff --git a/README.md b/README.md
index 2043b68..1904122 100644
--- a/README.md
+++ b/README.md
@@ -331,4 +331,4 @@ Note:
# Technical details and getting involved
-Please go read [CONTRIBUTING.md](CONTRIBUTING.md) for more info
+Please go read [CONTRIBUTING.md](.github/CONTRIBUTING.md) for more info
diff --git a/lib-core.sh b/lib-core.sh
index 1acf620..62c8310 100755
--- a/lib-core.sh
+++ b/lib-core.sh
@@ -226,6 +226,7 @@ operation_aborted() {
local dist_ids=($(awk -F '=' '/ID/{print $2}' "/etc/os-release" | sort -Vru))
local repo_ver=""
local lines=()
+ local log="$(awk '{printf "\033[1;31m >>> %s\n", $0}' "${WHITESUR_TMP_DIR}/error_log.txt" || echo "")"
if ! repo_ver="$(cd "${REPO_DIR}"; git log -1 --date=format-local:"%FT%T%z" --format="%ad" 2> /dev/null)"; then
if ! repo_ver="$(date -r "${REPO_DIR}" +"%FT%T%z")"; then
@@ -240,7 +241,9 @@ operation_aborted() {
prompt -e "\n\n Oops! Operation has been aborted or failed...\n"
prompt -e "=========== ERROR LOG ==========="
- if [[ "$(awk '{printf "\033[1;31m >>> %s\n", $0}' "${WHITESUR_TMP_DIR}/error_log.txt" || echo "")" == "" ]] ; then
+ echo -e "${log}"
+
+ if [[ ! "${log}" ]] ; then
prompt -e ">>>>>>> No error log found <<<<<<"
fi
diff --git a/lib-install.sh b/lib-install.sh
index 8926254..ab2f600 100755
--- a/lib-install.sh
+++ b/lib-install.sh
@@ -52,7 +52,7 @@ prepare_swupd() {
prompt -w "CLEAR LINUX: You have 'dnf' installed in your system. It may break your system especially when you remove a package\n"
while [[ "${remove}" != "y" && "${remove}" != "n" ]]; do
- read -p "You wanna remove it? (y/n): " remove
+ read -p "${c_cyan}You wanna remove it? (y/n): ${c_green}" remove 2>&1
done
fi